GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - a -

- AAbortPDU() : gdcm::network::AAbortPDU
- AAssociateACPDU() : gdcm::network::AAssociateACPDU
- AAssociateRJPDU() : gdcm::network::AAssociateRJPDU
- AAssociateRQPDU : gdcm::network::AAssociateACPDU , gdcm::network::AAssociateRQPDU
- AbstractSyntax() : gdcm::network::AbstractSyntax
- ActiveComponent : vtkImageMapToColors16
- Add() : gdcm::GroupDict
- AddAcceptedPresentationContext() : gdcm::network::ULConnection
- AddContourReferencedFrameOfReference() : vtkRTStructSetProperties
- AddCSAHeaderDictEntry() : gdcm::CSAHeaderDict
- AddDerivationDescription() : gdcm::FileDerivation
- AddDictEntry() : gdcm::Dict , gdcm::PrivateDict
- AddFile() : gdcm::FileSet , gdcm::SerieHelper
- AddFileName() : gdcm::SerieHelper
- AddFragment() : gdcm::SequenceOfFragments
- AddGroupLength() : gdcm::DictConverter
- AddImageDirectoryRecord() : gdcm::DICOMDIRGenerator
- AddInput() : vtkImageColorViewer
- AddInputConnection() : vtkImageColorViewer
- AddIOD() : gdcm::IODs
- AddIODEntry() : gdcm::IOD
- AddItem() : gdcm::SequenceOfItems
- AddMacro() : gdcm::Macros , gdcm::Module
- AddMacroEntry() : gdcm::Macro
- AddModule() : gdcm::Modules
- AddModuleEntry() : gdcm::Module , gdcm::NestedModuleEntries
- AddObserver() : gdcm::Subject
- AddPatientDirectoryRecord() : gdcm::DICOMDIRGenerator
- AddPresentationContext() : gdcm::network::AAssociateRQPDU , gdcm::PresentationContextGenerator
- AddPresentationContextAC() : gdcm::network::AAssociateACPDU
- AddPresentationDataValue() : gdcm::network::PDataTFPDU
- AddPrimitiveData() : gdcm::MeshPrimitive
- AddPrivateTag() : gdcm::Scanner
- AddPurposeOfReferenceCodeSequence() : gdcm::FileDerivation
- AddQueryDataSet() : gdcm::BaseRootQuery
- AddReference() : gdcm::FileDerivation
- AddReferencedFrameOfReference() : vtkRTStructSetProperties
- AddRestriction() : gdcm::SerieHelper
- AddSegment() : gdcm::SegmentWriter
- AddSelect() : gdcm::Sorter
- AddSeriesDirectoryRecord() : gdcm::DICOMDIRGenerator
- AddSkipTag() : gdcm::Scanner
- AddSourceImageSequence() : gdcm::FileDerivation
- AddStructureSetROI() : vtkRTStructSetProperties
- AddStructureSetROIObservation() : vtkRTStructSetProperties
- AddStudyDirectoryRecord() : gdcm::DICOMDIRGenerator
- AddSurface() : gdcm::Segment
- AddTag() : gdcm::Scanner
- AddTransferSyntax() : gdcm::PresentationContext , gdcm::network::PresentationContextRQ
- AE : gdcm::VR
- AES128_CIPHER : gdcm::CryptographicMessageSyntax
- AES192_CIPHER : gdcm::CryptographicMessageSyntax
- AES256_CIPHER : gdcm::CryptographicMessageSyntax
- AffectedSOPClassUID : gdcm::network::CEchoRQ
- ALGOType : gdcm::Segment
- ALGOType_END : gdcm::Segment
- Allocate() : gdcm::LookupTable
- AmbulatoryECGWaveformStorage : gdcm::UIDs , gdcm::MediaStorage
- AnatomicRegion : gdcm::Segment
- AnonymizeEvent() : gdcm::AnonymizeEvent
- Anonymizer() : gdcm::Anonymizer
- Append() : gdcm::Global
- AppendImplementationClassUID() : gdcm::FileMetaInformation
- ApplicationContext() : gdcm::network::ApplicationContext
- Apply() : gdcm::ImageApplyLookupTable
- ApplyInverseVideo : vtkGDCMImageReader
- ApplyLookupTable : vtkGDCMImageReader
- ApplyPlanarConfiguration : vtkGDCMImageReader
- ApplyShiftScale : vtkGDCMImageReader
- ApplyYBRToRGB : vtkGDCMImageReader
- Area() : gdcm::BoxRegion , gdcm::Region
- AReleaseRPPDU() : gdcm::network::AReleaseRPPDU
- AReleaseRQPDU() : gdcm::network::AReleaseRQPDU
- AreOverlaysInPixelData() : gdcm::Pixmap , gdcm::Bitmap
- ARGB : gdcm::PhotometricInterpretation
- ArrayIncludeMacrosType : gdcm::Macro , gdcm::Module
- ArrayType : gdcm::Attribute< Group, Element, TVR, TVM > , gdcm::Attribute< Group, Element, TVR, VM::VM1_n > , gdcm::Attribute< Group, Element, TVR, VM::VM1 >
- ARTIMTimer() : gdcm::network::ARTIMTimer
- AS : gdcm::VR
- ASN1() : gdcm::ASN1
- AsynchronousOperationsWindowSub() : gdcm::network::AsynchronousOperationsWindowSub
- AT : gdcm::VR
- Attribute() : gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
- Audio : gdcm::MediaStorage
- AudioCodec() : gdcm::AudioCodec
- AudioSRStorageTrialRetired : gdcm::UIDs
- AUTOMATIC : gdcm::Segment
- AutoPixelMinMax() : gdcm::IconImageGenerator
- AXIAL : gdcm::Orientation